/***************************************************************************

                          pongball.cpp
                          the ball in a game of pong, used in bluePong
                          IMPLEMENTATION-File
                             -------------------
    begin                : Mon Mai 26 2003
    copyright            : (C) 2003 by Thomas Unterthiner
    email                : thomas_unterthiner@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pongball.h"

PongBall::PongBall(int PosX, int PosY, int Width, int Height,
                   Uint32 Color, Uint32 BackgroundColor,
                   int SpeedX, int SpeedY)
/*****************************************************************************
 * the normal Ctor
 *****************************************************************************/
            : ColorSprite(PosX, PosY, Width, Height, Color, BackgroundColor),
              mSpeedX(SpeedX),
              mSpeedY(SpeedY)
{
	
}

void PongBall::move()
/*****************************************************************************
 * moves the ball with the speed defined by SpeedX and SpeedY
 *****************************************************************************/
{
	ColorSprite::move(mSpeedX, mSpeedY);
}
