/***************************************************************************

                          pongpaddle.h 
                          paddle for bluePong - implemented as a
                          special kind of wall
                             -------------------
    begin                : Die Mai 27 2003
    copyright            : (C) 2003 by Thomas Unterthiner
    email                : thomas_unterthiner@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PONGPADDLE_H
#define PONGPADDLE_H

#include "pongwall.h"


class PongPaddle : public PongWall
{
	public: 
		PongPaddle(int PosX, int PosY, int Width, int Height,
		           Uint32 Color, Alignment Align,
		           Uint32 BackgroundColor = 0);
		// normal Ctor
 
		~PongPaddle()	{}
		// Dtor - doesn't anything

		void move( int By = 1);
		// moves the paddle
		// 	PARAMETER
		// 		int By = move by that many px

		Uint32 getColor() const {return mColor;}
	
	private:
	// none ;-)
};

#endif
